﻿using System.Windows;
using System.Windows.Forms;

namespace FireDrill.Windows
{
    /// <summary>
    /// SettingsWindow.xaml 的交互逻辑
    /// </summary>
    public partial class SettingsWindow : Window
    {
        public SettingsWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Video.Text = Properties.Settings.Default.Video;
            Audio.Text = Properties.Settings.Default.Audio;
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            DialogResult = true;
            Properties.Settings.Default.Video = Video.Text;
            Properties.Settings.Default.Audio = Audio.Text;
            Properties.Settings.Default.Save();
            Properties.Settings.Default.Reload();
        }

        private void Choose_Video_Click(object sender, RoutedEventArgs e)
        {
            var ofd = new OpenFileDialog
            {
                Filter = Properties.Resources.SettingsWindow_Video_Filter,
                ValidateNames = true,
                CheckPathExists = true,
                CheckFileExists = true,
                Multiselect = false
            };
            if (ofd.ShowDialog() != System.Windows.Forms.DialogResult.OK) return;
            var strFileName = ofd.FileName;
            Video.Text = strFileName;
            Properties.Settings.Default.Video = strFileName;
        }

        private void Choose_Audio_Click(object sender, RoutedEventArgs e)
        {
            var ofd = new OpenFileDialog
            {
                Filter = Properties.Resources.SettingsWindow_Audio_Filter,
                ValidateNames = true,
                CheckPathExists = true,
                CheckFileExists = true,
                Multiselect = false
            };
            if (ofd.ShowDialog() != System.Windows.Forms.DialogResult.OK) return;
            var strFileName = ofd.FileName;
            Audio.Text = strFileName;
            Properties.Settings.Default.Audio = strFileName;
        }
    }
}
